
CREATE TABLE Tab_Objetivos_Ventas(
	Periodo DATETIME NOT NULL,
	Id_Sucursal SMALLINT NOT NULL,
	Descripcion varchar(50),
	Monto_Ventas DECIMAL(14,2),
	Monto_Garantias DECIMAL(14,2),
	CONSTRAINT PK_Objetivos_PorId PRIMARY KEY (Periodo,Id_Sucursal)
			)
    GO

	CREATE INDEX IX_Objetivos_PorDesc ON Tab_Objetivos_Ventas (Descripcion,Periodo)
	GO
	CREATE INDEX IX_Objetivos_PorSuc ON Tab_Objetivos_Ventas (Id_Sucursal,Periodo)
	GO

	ALTER TABLE Tab_Objetivos_Ventas ADD CONSTRAINT FK_Objetivos_PorSuc FOREIGN KEY (Id_Sucursal)
		REFERENCES Empresas_Suc (Id_Sucursal)
    GO


 